
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.SerializedName;

@SuppressWarnings("unused")
public class DeadBatteryBootData {

    @SerializedName("AdapterType")
    private Long adapterType;
    @SerializedName("AverageBattSkinTemp")
    private Long averageBattSkinTemp;
    @SerializedName("AverageBattVirtualTemp")
    private Long averageBattVirtualTemp;
    @SerializedName("CloakEntryCount")
    private Long cloakEntryCount;
    @SerializedName("PrechargeCount")
    private Long prechargeCount;
    @SerializedName("StartBatteryCapacity")
    private Long startBatteryCapacity;
    @SerializedName("StartBatteryVoltage")
    private Long startBatteryVoltage;
    @SerializedName("TimeOnCharger")
    private Long timeOnCharger;
    @SerializedName("VbusType")
    private Long vbusType;
    @SerializedName("WirelessChargingMode")
    private Long wirelessChargingMode;

    public Long getAdapterType() {
        return adapterType;
    }

    public void setAdapterType(Long adapterType) {
        this.adapterType = adapterType;
    }

    public Long getAverageBattSkinTemp() {
        return averageBattSkinTemp;
    }

    public void setAverageBattSkinTemp(Long averageBattSkinTemp) {
        this.averageBattSkinTemp = averageBattSkinTemp;
    }

    public Long getAverageBattVirtualTemp() {
        return averageBattVirtualTemp;
    }

    public void setAverageBattVirtualTemp(Long averageBattVirtualTemp) {
        this.averageBattVirtualTemp = averageBattVirtualTemp;
    }

    public Long getCloakEntryCount() {
        return cloakEntryCount;
    }

    public void setCloakEntryCount(Long cloakEntryCount) {
        this.cloakEntryCount = cloakEntryCount;
    }

    public Long getPrechargeCount() {
        return prechargeCount;
    }

    public void setPrechargeCount(Long prechargeCount) {
        this.prechargeCount = prechargeCount;
    }

    public Long getStartBatteryCapacity() {
        return startBatteryCapacity;
    }

    public void setStartBatteryCapacity(Long startBatteryCapacity) {
        this.startBatteryCapacity = startBatteryCapacity;
    }

    public Long getStartBatteryVoltage() {
        return startBatteryVoltage;
    }

    public void setStartBatteryVoltage(Long startBatteryVoltage) {
        this.startBatteryVoltage = startBatteryVoltage;
    }

    public Long getTimeOnCharger() {
        return timeOnCharger;
    }

    public void setTimeOnCharger(Long timeOnCharger) {
        this.timeOnCharger = timeOnCharger;
    }

    public Long getVbusType() {
        return vbusType;
    }

    public void setVbusType(Long vbusType) {
        this.vbusType = vbusType;
    }

    public Long getWirelessChargingMode() {
        return wirelessChargingMode;
    }

    public void setWirelessChargingMode(Long wirelessChargingMode) {
        this.wirelessChargingMode = wirelessChargingMode;
    }

}
